%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')
%define srcname adns-python

Name:           python-adns
Version:        1.1.0
Release:        3%{?dist}

Summary:        Python interface for the GNU adns library
Group:          Development/Languages
License:        GPL
URL:            http://dustman.net/andy/python/adns-python
Source0:        http://dustman.net/andy/python/adns-python/1.1.0/adns-python-1.1.0.tar.gz
Patch0:         adns-python-srv.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, adns-devel >= 1.2
Requires:       python >= %{pyver}, python < %{pynext}

%description
The adns module provides an interface to the GNU ADNS asynchronous DNS
resolver library.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .srv

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
touch $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/{ADNS,hostmx,rblcheck}.pyo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc GPL README

%ghost %{_libdir}/python%{pyver}/site-packages/*.pyo

%changelog
* Tue May  9 2006 Mihai Ibanescu <misa@redhat.com> 1.1.0-3
- added patch to make it compile with adns >= 1.2 (adns__rrt_typemask was
  renamed to adns_rrt_typemask). The patch also adds support for SRV records
  (adns 1.2 has that, just need them exposed in the bindings).

* Wed Apr 13 2005 Colin Charles <colin@fedoraproject.org> - 1.1.0-1
- new upstream 1.1.0 release

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 18 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:1.0.0-0.fdr.3
- Fixed Source URL
- wipe RPM_BUILD_ROOT before install
- Add GPL to packaged documentation

* Wed Dec 24 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.2
- Added missing build dependency on python-devel
- Ghosted *.pyo

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.1
- Initial Fedora release.
